/**
 * Represents a single category of a Speiseplan,
 * with all ID's resolved to their actual values.
 */
export interface SpeiseplanItem {
  category: string;
  days: SpeiseplanProduct[][];
}

/**
 * Represents a single product of a Speiseplan,
 * with all ID's resolved to their actual values.
 */
export interface SpeiseplanProduct {
  name: string;
  /** Price in Euro */
  price: number;
  allergens: string[];
}
